Bug 120235 - Large email attachments corrupted
Large email attachments corrupted
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: fetchmail (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-06 21:32 EDT by mike
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-13 00:07:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
original image (381.29 KB, image/jpeg)
2004-04-06 21:33 EDT, mike
no flags Details
corrupted image (76.35 KB, image/jpeg)
2004-04-06 21:34 EDT, mike
no flags Details

  None (edit)
Description mike 2004-04-06 21:32:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
Large jpeg attachments are being corrupted if received using the
sendmail/procmail/fetchmail/mbox combination.

I can open the image but only the top 25% of the image is viewable.
I have tested by not downloading emails and opening through my ISP's
webmail(image ok) and then downloading to my pc(not ok).
 
 My wife's pc uses Outlook and when I had it retreive email directly
from the ISP rather than an mbox account on my Linux server the images
are received ok.
 
Running ifconfig does not show any network issues.  
 
I have a Motorola Surfboard cable modem to a SMC Barricade router to
my linux box.

The box has two network cards but only one is plugged in.

I am not losing any packets if I ping external or internal websites.
 
I don't have quotas set up on the box.  I checked the hard disk for free
space and it still has 3 GB left so isn't the problem.

I switched Evolution to retreive email from the pop server directly
rather than from sendmail/mbox and the images were ok.

I also tested using Mutt and the images were corrputed as well so it
is not Evolution.

Emailed image to self using local username rather than internet email
address and the image was ok(email server and my pc are the same -
sendmail/procmail/fetchmail/mbox combo).

Size of file sent is 390440.

Size as received is 78181.

Top 20% of image is visible while the rest appears as just the color
black.




Version-Release number of selected component (if applicable):
procmail-3.22-12,sendmail-8.12.10-1.1.1,fetchmail-6.2.0-8

How reproducible:
Always

Steps to Reproduce:
1.send or have someone send the jpge attachment to you
2. view attachment in Evolution preview, inline, or save to disk
3.
    

Actual Results:  image corrputed

Expected Results:  complete image displayed

Additional info:



> >  /sbin/./ifconfig -a
> > eth0      Link encap:Ethernet  HWaddr 00:04:76:CD:CE:57
> >           inet addr:192.168.123.133  Bcast:192.168.123.255 
> > Mask:255.255.255.0
> >           UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
> >           RX packets:547757 errors:0 dropped:0 overruns:0 frame:0
> >           TX packets:545221 errors:0 dropped:0 overruns:0 carrier:0
> >           collisions:0 txqueuelen:1000
> >           RX bytes:172046744 (164.0 Mb)  TX bytes:74681371 (71.2 Mb)
> >           Interrupt:10 Base address:0xe000
> >  
> > eth1      Link encap:Ethernet  HWaddr 00:40:F4:05:C0:56
> >           BROADCAST MULTICAST  MTU:1500  Metric:1
> >           RX packets:0 errors:0 dropped:0 overruns:0 frame:0
> >           TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
> >           collisions:0 txqueuelen:1000
> >           RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
> >           Interrupt:11 Base address:0xe000
> >  
> > lo        Link encap:Local Loopback
> >           inet addr:127.0.0.1  Mask:255.0.0.0
> >           UP LOOPBACK RUNNING  MTU:16436  Metric:1
> >           RX packets:48761 errors:0 dropped:0 overruns:0 frame:0
> >           TX packets:48761 errors:0 dropped:0 overruns:0 carrier:0
> >           collisions:0 txqueuelen:0
> >           RX bytes:33725362 (32.1 Mb)  TX bytes:33725362 (32.1 Mb)
Comment 1 mike 2004-04-06 21:33:40 EDT
Created attachment 99173 [details]
original image
Comment 2 mike 2004-04-06 21:34:20 EDT
Created attachment 99174 [details]
corrupted image
Comment 3 mike 2004-04-12 00:48:11 EDT
Upgraded sendmail to 8.12.11-1 using an rpm and it has made to worse.  
Changing bug from Procmail to sendmail It is being sent by Mutt using
base64 encoding.  When received it is now 58698KB in size.  However
Mutt reports the size of the file as 77KB.
Comment 4 mike 2004-04-12 23:48:46 EDT
I have been trying to debug this.  Attached is a verbose output from
sendmail daemon.  I send out the email and receive it.  Everything
seems ok until after it is received.  Sendmail is using Fetchmail to
pass the email from localhost.localdomain account to my local user
account.

The attachment was too large... See
http://www.wombatcarnival.com/postgresql/sendmail_error_log

Comment 5 mike 2004-04-13 00:07:25 EDT
Ok,

I downloaded the src code to fetchmail 6.2.5, installed it, and it has
fixed my problem.  I can now send the attachment and receive it
completely.  

I changed the status to upstream.  If that was not correct please
change it to what it should be.  Hope this helps someone else.

Note You need to log in before you can comment on or make changes to this bug.